# Technical Items

This mod adds a few items that customized weaponry and abilities with technical items.

## Details

#### Right Weapon

| Items | Function |
| -- | -- |
| FlipRightW | Flips Right weapon scale by multiplying weapon scale with **-1**. |
| DoublesScaleRightW | Increase Right weapon scale by **50%** of current scale. |
| HalfesScaleRightW | Decrease Right weapon scale by **50%** of current scale. |
| NulifyScaleRightW | Nullify the scale of the weapon by multiplying it with **0**. |
| RemoveRightWParticles | Removes Right weapons particle. |
| RemoveRightWProj | Removes Right weapons projectile. |

#### Left Weapon

| Items | Function |
| -- | -- |
| FlipLeftW | Flips Left weapon scale by multiplying weapon scale with **-1**. |
| DoublesScaleLeftW | Increase Left weapon scale by **50%**. |
| HalfesScaleLeftW | Decrease Left weapon scale by **50%**. |
| NulifyScaleLeftW | Nullify the scale of the weapon by multiplying it with **0**. |
| RemoveLeftWParticles | Removes Left weapons particle. |
| RemoveLeftWProj | Removes Left weapons projectile. |

#### Technical Ability

| Items | Function |
| -- | -- |
| TransformToRiderWhenTargetFarCondition | Make the base unit transform into the Rider unit when the enemy target is close. |
| TransformToRiderWhenTargetCloseCondition | Make the base unit transform into the Rider unit when the enemy target is close. |
| TransformToRider10SecondsCondition | Make the base unit transform into the Rider unit within 10 seconds. |
| TransformToRiderChronoCondition | Make the base unit transform into the Rider unit with *Chronomancer*'s condition. |
| TransformToRiderDarkKingCondition | Make the base unit transform into the Rider unit with the *Dark King*'s condition. |
| TransformToRiderWhenHealthHalfCondition | Make the base unit transform into the Rider unit when health reached **50%** of max health. |
| TransformToRiderWhenHealthQuarterCondition | Make the base unit transform into the Rider unit when health reached **25%** of max health. |
| AdaptivePirateQueenThrow | Pirate Queen's projectile ability but based on the projectile unit throws (random chances for each projectile if it has several different projectiles). |
| AdaptiveSenseiBurstThrow | Sensei's projectile ability but based on the projectile unit throws (random chances for each projectile if it has several different projectiles). |

## Notice

Remember that some items are one-time runs only, (for example the Flipping weapons only run once), so don't put the same things twice or more if it's not intentional. If some items are bugged try to just reset the unit by switching teams.

Technical Abilities which transforms to the first Rider will also remove the first Rider unit. **This version is not Vanilla Compatible**, meaning without this mod, it would not works as intended.

All items are supposed to work with each other and vanilla items so if there are issues, please report them on **TABS Mod Center Discord Server**!

> [TABS Mod Center](https://discord.gg/RUM5pKUe9K)

## Credit

Mod is created and managed by **Geezt Jeez**.

## Changelogs

#### (1.0.2)

- Added transformation below 50% and below 25% health condition, and also new Pirate Queen's adaptive ability.
- Improved Sensei's adaptive throw to have better adaptive particle colour.
- Fixed items not saved properly due to having delay on loading.

#### (1.0.1)

- Fixed items not saved properly due to having delay on loading.